Favicon

You are here: Home > API Reference > Platform > Assets > Generate QR image

Generate QR image

Generate QR image

GET
https://api.applivery.io/v1/assets/qr
curl -X GET "https://api.applivery.io/v1/assets/qr"
const response = await fetch("https://api.applivery.io/v1/assets/qr", {
  method: "GET",
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/assets/qr",
)

data = response.json()

Request

text string
required
≤ 1000 characters
w number
optional
Format: float
color-dark string
optional
Match pattern: ^#[a-zA-Z0-9]{6}$
color-light string
optional
Match pattern: ^#[a-zA-Z0-9]{6}$

Responses

{
  "type": "object",
  "properties": {}
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5045
message string optional
You need to send a text to generate the QR Code
{
    "status": false,
    "error": {
        "code": 5045,
        "message": "You need to send a text to generate the QR Code"
    }
}